Bug 468457 - RFE: add option to 'virsh start' to immediately connect to the guest text console
RFE: add option to 'virsh start' to immediately connect to the guest text con...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-24 15:55 EDT by Chris Snook
Modified: 2009-07-27 15:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 15:25:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Snook 2008-10-24 15:55:57 EDT
Description of problem:
Xen has this nice 'xm create -c' feature that will start a domain and immediately connect to its text console, to help with troubleshooting early boot issues.  It would be very nice if virsh had a similar feature, to bring this convenience to non-xen guests.

Version-Release number of selected component (if applicable):
libvirt-0.4.6-3.fc10.x86_64

Additional info:

This seems to work fine with local KVM guests:

virsh start vmname && virsh console vmname

but might be racy in configurations where guest setup is performed asynchronously to 'virsh start' returning.
Comment 1 john5342 2008-12-17 22:47:54 EST
This bug has been triaged
Comment 2 Brad Smith 2009-02-11 06:59:30 EST
Are there any plans for this bug to get attention soon? The "virsh start vmname && virsh console vmname" may work in some situations, but at least on my test system with a Xen guest (which is what a lot of GLS's training environments use, at least for now) it does not work. We'd like to make our courseware more forward-compatible by replacing xm commands with the corresponding virsh commands, but so far we have no viable way to access pygrub in a Xen paravirt environment without using xm.
Comment 3 Daniel Berrange 2009-07-27 15:25:33 EDT
Opps, forgot about this. It was addressed in F11 and later

$ virsh help start 
  NAME
    start - start a (previously defined) inactive domain

  SYNOPSIS
    start <domain> [--console]

  DESCRIPTION
    Start a domain.

  OPTIONS
    <domain>         name of the inactive domain
    --console        attach to console after creation


Likewise for the 'create' command

Note You need to log in before you can comment on or make changes to this bug.